Bug 1462699 - Uninstall leaves etcd container and etcd service file
Uninstall leaves etcd container and etcd service file
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Scott Dodson
Gaoyun Pei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 06:28 EDT by Gaoyun Pei
Modified: 2017-08-24 16:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2017-06-19 06:28:02 EDT
Description of problem:
For system container etcd env, uninstall playbook didn't remove etcd service file and etcd container.

Version-Release number of selected component (if applicable):
openshift-ansible-3.6.116-1.git.0.e2840e8.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1.Run uninstall playbook against an env with system container etcd used
ansible-playbook -i host /usr/share/ansible/openshift-ansible/playbooks/adhoc/uninstall.yml

2.Check on the etcd host
the service file:
[root@ip-172-18-10-112 ~]# ls /etc/systemd/system/etcd.service
/etc/systemd/system/etcd.service

etcd container:
[root@ip-172-18-10-112 ~]# atomic containers list
   CONTAINER ID IMAGE                COMMAND              CREATED          STATE      BACKEND    RUNTIME   
   etcd         registry.access.redh /usr/bin/etcd-env.sh 2017-06-19 04:37 failed     ostree     runc      


Actual results:


Expected results:


Additional info:
Comment 1 Marko Myllynen 2017-06-21 03:11:57 EDT
FWIW, I've written some help playbooks to automate tasks around OpenShift, one of them is to complete uninstallation:

https://github.com/myllynen/openshift-automation-tools
https://github.com/myllynen/openshift-automation-tools/blob/master/conf/uninst.yml

See also https://bugzilla.redhat.com/show_bug.cgi?id=1449347.

Thanks.
Comment 2 Brenton Leanhardt 2017-08-24 16:10:21 EDT
Hi Marko,

Mind submitting a PR to the master branch of openshift-ansible with your uninstall recommendations?
Comment 3 Marko Myllynen 2017-08-24 16:16:50 EDT
(In reply to Brenton Leanhardt from comment #2)
> 
> Mind submitting a PR to the master branch of openshift-ansible with your
> uninstall recommendations?

There's an open upstream issue about incomplete uninstallation procedure here:

https://github.com/openshift/openshift-ansible/issues/3082

Thanks.

Note You need to log in before you can comment on or make changes to this bug.